MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024892Community[OCCT] OCCT:Codingpublic2014-05-02 17:132014-11-11 12:52
Reportermach22 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024892: AIS_TexturedShape::ShowTriangles overloads mismatch
Descriptionin the class AIS_TexturedShape there are 2 methos that can be called without arguments as one has optional parameters so there is an error calling the method without arguments as all the 2 methos match the argument list

Standard_Boolean ShowTriangles();

void ShowTriangles (const Standard_Boolean theToShowTriangles = Standard_False);
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029189)
kgv (developer)
2014-05-05 09:15

Please test compilation of the patch in branch CR24892.
(0029237)
mkv (tester)
2014-05-07 18:43

Dear BugMaster,

Branch CR24892 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 162d76ccaa827fdb648aa4dad761b4ddbe511a47

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355904828 / 355561056
Total CPU difference: 52563.62000000003 / 53337.799999999814

Testing on Windows:
Total MEMORY difference: 379351136 / 379843896
Total CPU difference: 34785.09375 / 36615.28125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 7ccd27ca
Timestamp: 2014-05-05 05:13:57
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024892: AIS_TexturedShape::ShowTriangles overloads mismatch
mod - src/AIS/AIS_TexturedShape.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-02 17:13 mach22 New Issue
2014-05-02 17:13 mach22 Assigned To => kgv
2014-05-05 09:14 kgv Assigned To kgv => apl
2014-05-05 09:15 kgv Note Added: 0029189
2014-05-05 09:15 kgv Assigned To apl => bugmaster
2014-05-05 09:15 kgv Severity minor => trivial
2014-05-05 09:15 kgv Status new => resolved
2014-05-05 09:15 kgv Target Version => 6.8.0
2014-05-05 09:15 kgv Status resolved => reviewed
2014-05-05 10:42 mkv Assigned To bugmaster => mkv
2014-05-07 18:43 mkv Note Added: 0029237
2014-05-07 18:44 mkv Test case number => Not needed
2014-05-07 18:44 mkv Assigned To mkv => bugmaster
2014-05-07 18:44 mkv Status reviewed => tested
2014-05-12 16:20 bugmaster Changeset attached => occt master 7ccd27ca
2014-05-12 16:20 bugmaster Status tested => verified
2014-05-12 16:20 bugmaster Resolution open => fixed
2014-11-11 12:47 user533 Fixed in Version => 6.8.0
2014-11-11 12:52 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker